//1. Что такое композиция генераторов?
//композиция генераторов - это  возможность генераторов, которая позволяет встраивать генераторы друг в друга.
// yield*, позволяет вкладывать генераторы один в другой тем самым осуществлять их композицию.

//2. Какие стандартные символы вы знаете и зачем используются?
//есть 3-вида символов:
//Пользовательские cимволы — созданные с помощью функции конструктора Symbol()
// Глобальные cимволы — созданные с помощью метода Symbol.for()
// Зарезервированные cимволы — определенные как статические свойства объекта Symbol.
// используют их в качестве свойств объектов.
// Преимущества cимволов перед обычными свойствами в том, что они не видны в списке свойств при итерировании,
